<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:p1="http://www.zmc.com/flavor/pp" name="si_pp080_mcs_sender" targetNamespace="http://www.zmc.com/flavor/pp" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:documentation />
  <wsp:UsingPolicy wsdl:required="true" />
  <wsp:Policy wsu:Id="OP_si_pp080_mcs_sender" />
  <wsdl:types>
    <xsd:schema xmlns="http://www.hbflavor.com/pp" targetNamespace="http://www.hbflavor.com/pp" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:complexType name="dt_pp080_res">
        <xsd:annotation>
          <xsd:documentation xml:lang="EN">SAP response数据类型</xsd:documentation>
          <xsd:appinfo source="http://sap.com/xi/VersionID">b9351c3bdf4211eda0d00000001b7af6</xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
          <xsd:element maxOccurs="unbounded" name="HEAD">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">fde32f73df3e11edacb300ffbfb14b77</xsd:appinfo>
            </xsd:annotation>
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="STATUS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">fde32f6edf3e11ed826b00ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>执行情况</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="INFOTEXT" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">fde32f6fdf3e11ed89f600ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>文本信息</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MATNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">fde32f70df3e11ed8f2100ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>物料</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="WERKS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">fde32f71df3e11eda92300ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>工厂</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="VERID" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">fde32f72df3e11edb47f00ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>版本</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
              </xsd:sequence>
            </xsd:complexType>
          </xsd:element>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="dt_pp080_req">
        <xsd:annotation>
          <xsd:documentation xml:lang="EN">request数据类型</xsd:documentation>
          <xsd:appinfo source="http://sap.com/xi/VersionID">67ab39c5df3e11ed815e0000001b7af6</xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
          <xsd:element name="SOURCESYS" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">448cb005df3f11edb83c00ffbfb14b77</xsd:appinfo>
              <xsd:documentation>源系统ID</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element name="TARGETSYS" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">448cb006df3f11edb9d700ffbfb14b77</xsd:appinfo>
              <xsd:documentation>目标系统ID</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element name="UPDATETIME" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">448cb007df3f11edb29700ffbfb14b77</xsd:appinfo>
              <xsd:documentation>数据时间戳</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element maxOccurs="unbounded" name="HEAD">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bcbdf4011ed89c900ffbfb14b77</xsd:appinfo>
            </xsd:annotation>
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="WERKS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bc1df4011edccd700ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>工厂</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="MATNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bc2df4011edb9a500ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>物料</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="VERID" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bc3df4011ed8e5900ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>版本</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="TEXT1" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bc4df4011ed94c400ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>文本</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="ADATU" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bc5df4011ed9a3900ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>有效从</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="BDATU" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bc6df4011edbc7200ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>有效至</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="BSTMI" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bc7df4011edaa3700ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>批量从</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="BSTMA" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bc8df4011ed9ffd00ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>批量到</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="STLAL" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bc9df4011ed829800ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>可选的BOM</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="STLAN" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">0dc75bcadf4011ed82df00ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>BOM用途</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="PLNTY" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">acc9a9abdf4211edad0000ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>任务清单类型</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="PLNNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">acc9a9acdf4211ed876000ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>组</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="ALNAL" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">acc9a9addf4211ed99d400ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>组计数器</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="ALORT" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">acc9a9aedf4211ed83f200ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>收货地点</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="ELPRO" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">acc9a9afdf4211edcac900ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>发货仓储地点</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
              </xsd:sequence>
            </xsd:complexType>
          </xsd:element>
        </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
    <xsd:schema xmlns="http://www.zmc.com/flavor/pp" xmlns:p7="http://www.hbflavor.com/pp" targetNamespace="http://www.zmc.com/flavor/pp" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:import namespace="http://www.hbflavor.com/pp" />
      <xsd:element name="mt_pp080_req" type="p7:dt_pp080_req" />
      <xsd:element name="mt_pp080_res" type="p7:dt_pp080_res" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="mt_pp080_req">
    <wsdl:documentation />
    <wsdl:part name="mt_pp080_req" element="p1:mt_pp080_req" />
  </wsdl:message>
  <wsdl:message name="mt_pp080_res">
    <wsdl:documentation />
    <wsdl:part name="mt_pp080_res" element="p1:mt_pp080_res" />
  </wsdl:message>
  <wsdl:portType name="si_pp080_mcs_sender">
    <wsdl:documentation />
    <wsdl:operation name="si_pp080_mcs_sender">
      <wsdl:documentation />
      <wsp:Policy>
        <wsp:PolicyReference URI="#OP_si_pp080_mcs_sender" />
      </wsp:Policy>
      <wsdl:input message="p1:mt_pp080_req" />
      <wsdl:output message="p1:mt_pp080_res" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="si_pp080_mcs_senderBinding" type="p1:si_pp080_mcs_sender">
    <binding transport="http://schemas.xmlsoap.org/soap/http" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    <wsdl:operation name="si_pp080_mcs_sender">
      <operation soapAction="http://sap.com/xi/WebService/soap1.1" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <wsdl:input>
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </wsdl:input>
      <wsdl:output>
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="si_pp080_mcs_senderService">
    <wsdl:port name="HTTP_Port" binding="p1:si_pp080_mcs_senderBinding">
      <address location="http://sappoqas.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp080_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </wsdl:port>
    <wsdl:port name="HTTPS_Port" binding="p1:si_pp080_mcs_senderBinding">
      <address location="https://sappoqas.hbglobal.com:50001/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp080_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>